#ifndef Planner_hh
#define Planner_hh
#define MAX_OBSL 50
#include "World.h"

class Planner : public World {
public:
  Planner();
  Planner(int n_a, double lgths[], double w, unsigned int n_obs, double obstlx1[], double obstly1[], double obstlx2[], double obstly2[], double start[], double end[]);
  int col_count;
  int ncol_count;
  ~Planner();

  bool collidesWith(double ars[]);

  // void writeMatlabDisplayCode(std::ostream &fs);
  
  // std::list< <std::list<std::pair <double, double > > > >

  std::vector <std::vector <std::pair <int, int> > > main1(int argc, char **argv);   //dummy
  int n_arms;
  double lengths[MAX_ARMS];
  int n_obstacles;
  double width;
  double obstaclesx1[MAX_OBSL], obstaclesy1[MAX_OBSL], obstaclesx2[MAX_OBSL], obstaclesy2[MAX_OBSL], starta[MAX_ARMS], enda[MAX_ARMS];
};
#endif
int maint();

