//
// = FILENAME
//    Position.cc
//
// = AUTHOR(S)
//    Patric Jensfelt
//
/*----------------------------------------------------------------------*/

#include "Position.h"

Position::Position()
  :n_arms(0)
{}

Position::Position(int no_arms, double a[])
{
  n_arms =no_arms;
  for(int i=0;i<n_arms;i++)
  angles[i]=a[i];
}

/// Function used to copy an object
Position::Position(const Position &src)
{
  // No need to copy if we are trying to copy ourselves
  if (&src != this)
    *this = src;
}

/// Function used to copy an object
void 
Position::operator=(const Position &src)
{
  int i;
  n_arms = src.n_arms;
  for(i=0;i<n_arms;i++)
	 angles[i]=src.angles[i];
}

