#ifndef MYSCENE_H
#define MYSCENE_H


#include <QDialog>
#include <QtCore>
#include <QtGui>
#include <vector>
#include <string>
#include "myitem.h"

class myScene: public QGraphicsScene
{
   Q_OBJECT

public:
    explicit myScene(QDialog *parent = 0);
    ~myScene();
    void mousePressEvent(QGraphicsSceneMouseEvent *event);
    void drawLine(int x1, int y1, int x2, int y2);
    void drawPoint(int x1,int y1);
    void setPolyPressed();
    void setLinePressed();
    void drawPolygon(QPoint point);
    void polyDone();
    bool startPressed;
    bool endPressed;
    bool linePressed;
    std::vector<std::vector<std::pair<int,int> > > Obstacles;
    std::vector<std::pair<int,int >  >Obstacle;
    std::vector<std::pair<int,int > >Robot;
    std::pair<int,int > startPoint;
    std::pair<int,int > endPoint;



private:
    QPoint lastpoint;
    bool polyPressed;
    QPoint lastPolyPoint;
    QPoint firstPolyPoint;
  // MyItem *robotitem;
   //MyItem *Obstacleitem;

};

#endif // MYSCENE_H
